## IAnjutaEditorSearch

IAnjutaEditorSearch — Text editor search interface

## Stability Level

Unstable, unless otherwise indicated

## Functions

GQuark | ianjuta_editor_search_error_quark ()
gboolean | ianjuta_editor_search_backward ()
gboolean | ianjuta_editor_search_forward ()

## Types and Values

#define | IANJUTA_EDITOR_SEARCH_ERROR

## Object Hierarchy

        GInterface
        ╰── IAnjutaEditorSearch

## Includes

    #include <libanjuta/interfaces/ianjuta-editor-search.h>

## Description

## Functions

### ianjuta_editor_search_error_quark ()

    GQuark
    ianjuta_editor_search_error_quark (void);

### ianjuta_editor_search_backward ()

    gboolean
    ianjuta_editor_search_backward (IAnjutaEditorSearch *obj,
                                    const gchar *search,
                                    gboolean case_sensitive,
                                    IAnjutaEditorCell *start,
                                    IAnjutaEditorCell *end,
                                    IAnjutaEditorCell **result_start,
                                    IAnjutaEditorCell **result_end,
                                    GError **err);

Search backward from end to start

#### Parameters

obj | Self |
search | String to search for |
start | Where to search from |
end | Where to stop searching |
result_start | Will be set to the start of the search_result (or NULL). | [out]
result_end | Will be set to the end of the search_result (or NULL). | [out]
err | Error propagation and reporting |

### ianjuta_editor_search_forward ()

    gboolean
    ianjuta_editor_search_forward (IAnjutaEditorSearch *obj,
                                   const gchar *search,
                                   gboolean case_sensitive,
                                   IAnjutaEditorCell *start,
                                   IAnjutaEditorCell *end,
                                   IAnjutaEditorCell **result_start,
                                   IAnjutaEditorCell **result_end,
                                   GError **err);

Search forward from start to end

#### Parameters

obj | Self |
search | String to search for |
start | Where to search from |
end | Where to stop searching |
result_start | Will be set to the start of the search_result (or NULL). | [out]
result_end | Will be set to the end of the search_result (or NULL). | [out]
err | Error propagation and reporting |

## Types and Values

### IANJUTA_EDITOR_SEARCH_ERROR

    #define IANJUTA_EDITOR_SEARCH_ERROR ianjuta_editor_search_error_quark()